SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType > Class Template Reference

An AVLBalancedBinarySearchTree is a binary tree that is always balanced. More...

`#include <slikenet/DS_BinarySearchTree.h>`

Inheritance diagram for DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >:

## Public Member Functions

| AVLBalancedBinarySearchTree ()
virtual | ~AVLBalancedBinarySearchTree ()
void | Add (const BinarySearchTreeType &input)
void | Del (const BinarySearchTreeType &input)
BinarySearchTree < BinarySearchTreeType > & | operator= (BinarySearchTree< BinarySearchTreeType > &original_copy)
Public Member Functions inherited from DataStructures::BinarySearchTree< BinarySearchTreeType >
| BinarySearchTree ()
virtual | ~BinarySearchTree ()
| BinarySearchTree (const BinarySearchTree &original_type)
BinarySearchTree & | operator= (const BinarySearchTree &original_copy)
unsigned int | Size (void)
void | Clear (const char *file, unsigned int line)
unsigned int | Height (node *starting_node=0)
node * | Add (const BinarySearchTreeType &input, const char *file, unsigned int line)
node * | Del (const BinarySearchTreeType &input, const char *file, unsigned int line)
bool | IsIn (const BinarySearchTreeType &input)
void | DisplayInorder (BinarySearchTreeType *return_array)
void | DisplayPreorder (BinarySearchTreeType *return_array)
void | DisplayPostorder (BinarySearchTreeType *return_array)
void | DisplayBreadthFirstSearch (BinarySearchTreeType *return_array)
BinarySearchTreeType *& | GetPointerToNode (const BinarySearchTreeType &element)

## Additional Inherited Members

Protected Types inherited from DataStructures::BinarySearchTree< BinarySearchTreeType >
enum | Direction_Types { NOT_FOUND, LEFT, RIGHT, ROOT }
Protected Member Functions inherited from DataStructures::BinarySearchTree< BinarySearchTreeType >
unsigned int | HeightRecursive (node *current)
node *& | Find (const BinarySearchTreeType &element, node **parent)
node *& | FindParent (const BinarySearchTreeType &element)
void | DisplayPostorderRecursive (node *current, BinarySearchTreeType *return_array, unsigned int &index)
void | FixTree (node *current)
Protected Attributes inherited from DataStructures::BinarySearchTree< BinarySearchTreeType >
node * | root
enum DataStructures::BinarySearchTree::Direction_Types | direction
unsigned int | BinarySearchTree_size

## Detailed Description

### template<class BinarySearchTreeType>
class DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >

An AVLBalancedBinarySearchTree is a binary tree that is always balanced.

Definition at line 144 of file DS_BinarySearchTree.h.

## Constructor & Destructor Documentation

template<class BinarySearchTreeType >

DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >::AVLBalancedBinarySearchTree | ( |  | ) |

inline

Definition at line 148 of file DS_BinarySearchTree.h.

template<class BinarySearchTreeType >

DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >::~AVLBalancedBinarySearchTree | ( |  | ) |

virtual

Definition at line 378 of file DS_BinarySearchTree.h.

References _FILE_AND_LINE_.

## Member Function Documentation

template<class BinarySearchTreeType >

void DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >::Add | ( | const BinarySearchTreeType & | input | ) |

Definition at line 216 of file DS_BinarySearchTree.h.

References _FILE_AND_LINE_, and DataStructures::BinarySearchTree< BinarySearchTreeType >::Add().

template<class BinarySearchTreeType >

void DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >::Del | ( | const BinarySearchTreeType & | input | ) |

Definition at line 224 of file DS_BinarySearchTree.h.

References _FILE_AND_LINE_, and DataStructures::BinarySearchTree< BinarySearchTreeType >::Del().

template<class BinarySearchTreeType >

BinarySearchTree<BinarySearchTreeType>& DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >::operator= | ( | BinarySearchTree< BinarySearchTreeType > & | original_copy | ) |

inline

Definition at line 152 of file DS_BinarySearchTree.h.

References DataStructures::BinarySearchTree< BinarySearchTreeType >::operator=().

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_BinarySearchTree.h